Bug 732734 - Coverity scan revealed defects
Summary: Coverity scan revealed defects
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: xorg-x11-server-utils
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Adam Jackson
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 842499
TreeView+ depends on / blocked
 
Reported: 2011-08-23 12:42 UTC by Michal Luscon
Modified: 2017-12-06 11:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-06 11:21:34 UTC


Attachments (Terms of Use)

Description Michal Luscon 2011-08-23 12:42:41 UTC
Description of problem:

/xrandr-1.3.4/xrandr.c:1635 - Using uninitialized value "output_name.kind" when calling "set_name_xid".

/xrdb-1.0.9/xrdb.c:1020, 1191 - Function "mkstemp(tmpname)" returns a negative number.
/xrdb-1.0.9/xrdb.c:1022, 1192 - "fd" is passed to a parameter that cannot be negative.

/xrandr-1.3.4/xrandr.c:1060 - Comparing "output->crtc_info" to null implies that "output->crtc_info" might be null.
/xrandr-1.3.4/xrandr.c:1067 - Passing null variable "output->crtc_info" to function "output_can_use_crtc", which dereferences it.

Version-Release number of selected component (if applicable):
xorg-x11-server-utils-7.5-5.1.el6

Additional info:
These defects were not present in the previous version of package.

Comment 2 RHEL Product and Program Management 2011-10-07 16:19:34 UTC
Since RHEL 6.2 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 4 Suzanne Yeghiayan 2012-02-14 23:14:18 UTC
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.

Comment 6 Jan Kurik 2017-12-06 11:21:34 UTC
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.